蛋疼的CENTOS部署之旅

流夜未央 posted @ 2011年3月25日 11:34 in 未分类 , 1817 阅读

1.安装python2.6

下载源码自行编译

编译时记得修改modules/setup.dist,把要用的模块注释去掉,加enable参数,OVER

安装完成后,修改/usr/bin/python链接,再编辑/usr/bin/yum,第一行指定使用python2.4

不然yum就思密达了

2.安装setuptools

会提示少个zlib包,装了之后就一切正常了,OVER

3.安装python-dev

很蛋疼的一步,CENTOS默认对应的是2.4版本的python-dev,想装2.6的就使用fedora的源,OVER

4.安装mercurial

按理说python-dev装完之后就应该可以安装了,不过还是提示我少了bz2这个库

无奈去找python-bz2官网,下载安装之

之后顺利安装mercurial

5.安装postgreSQL

无难点,记得装postgreSQL-devel就好了

6.安装psycopg2

没装postgreSQL-devel会报错,装了就一切正常

7.安装twisted

无难点,很顺利

 

整个流程OVER

Avatar_small
Robin Lee 说:
2011年3月25日 12:50

可以用EPEL源,里面有python26
http://fedoraproject.org/wiki/EPEL

Avatar_small
流夜未央 说:
2011年4月27日 17:39

@Robin Lee: 谢谢,我也用的这个~


登录 *


loading captcha image...
(输入验证码)
or Ctrl+Enter